<?php

   $urlEdit = $this->ADMIN_BASE_URL . "?page=igloo_membership_admin&ac=edit";

?>

<div class="igm_wrap" ng-cloak>
<div class="igm_wrap_inside">
    <div ng-controller="adminCtrl" id="adminCtrl" ng-init="init()">

        <div class="igm_top">

            <div class="igm_left">
                <img src="<?php echo $this->PLUGIN_URL ?>/admin/images/logo.png" class="igm_logo">
            </div>

            <div class="igm_right">
                <div class="igm_support soft_gray" onclick="window.open('https://support.iglooapp.com/')">
                    <img src="<?php echo $this->PLUGIN_URL ?>/admin/images/icon-support.png">
                    Support
                </div>
            </div>

        </div>

        <div ng-if="settings">

            <div ng-if="!settings.user">
                <div class="igm_box igm_p20" style="width: 500px;margin: 0 auto;padding-top:15px;">
                    <div style="text-align:center; font-size:22px;">
                        Plugin Activation
                    </div>
                    <div style="font-size:16px;text-align:center;padding:20px 30px;line-height: 22px;">
                        Please insert your <span class="igm_bold">Email</span> and <span class="igm_bold">Api Key</span> that you<br />can find on the Settings page in iGloo
                    </div>
                    <div>
                        <div class="igm_p20">
                            <div>
                                <div class="igm_label">
                                    Email
                                </div>
                                <input class="igm_input" ng-model="oto3_check.email" />
                            </div>
                            <div>
                                <div class="igm_label">
                                    Api Key
                                </div>
                                <input class="igm_input" ng-model="oto3_check.api_key" />
                            </div>
                            <div class="igm_mt10 igm_ac">
                                <div class="igm_button green igm_brightup" ladda="checking_oto3" ng-click="checkOTO3()">
                                    ACTIVATE
                                </div>
                            </div>
                            <div class="igm_mt10 igm_ac" ng-if="oto3_error">
                                <span class="igm_err_msg" >{{oto3_error}}</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div ng-if="settings.user">
                <div class="igm_middle">

                    <div class="igm_middle_left">
                        <div class="igm_menu">
                            <div class="igm_menu_item igm_bold" ng-class="{'current': current_sub == 'levels'}" ng-click="setSub('levels')">
                                <div class="igm_menu_item_icon">
                                    <img src="<?php echo $this->PLUGIN_URL ?>/admin/images/icon-levels.png">
                                </div>
                                LEVELS
                            </div>
                            <div class="igm_menu_item igm_bold" ng-class="{'current': current_sub == 'layout'}" ng-click="setSub('layout')">
                                <div class="igm_menu_item_icon">
                                    <img src="<?php echo $this->PLUGIN_URL ?>/admin/images/icon-style.png">
                                </div>
                                STYLE
                            </div>
                            <div class="igm_menu_item igm_bold" ng-class="{'current': current_sub == 'pages'}" ng-click="setSub('pages')">
                                <div class="igm_menu_item_icon">
                                    <img src="<?php echo $this->PLUGIN_URL ?>/admin/images/icon-protect.png">
                                </div>
                                PROTECT PAGES
                            </div>
                            <div class="igm_menu_item igm_bold" ng-class="{'current': current_sub == 'settings'}" ng-click="setSub('settings')">
                                <div class="igm_menu_item_icon">
                                    <img src="<?php echo $this->PLUGIN_URL ?>/admin/images/icon-email.png">
                                </div>
                                EMAIL SETTINGS
                            </div>
                            <div class="igm_menu_item igm_bold" ng-class="{'current': current_sub == 'users'}" ng-click="setSub('users')">
                                <div class="igm_menu_item_icon">
                                    <img src="<?php echo $this->PLUGIN_URL ?>/admin/images/icon-users.png">
                                </div>
                                USERS
                            </div>
                            <div class="igm_menu_item igm_bold" ng-class="{'current': current_sub == 'integrations'}" ng-click="setSub('integrations')">
                                <div class="igm_menu_item_icon">
                                    <img src="<?php echo $this->PLUGIN_URL ?>/admin/images/icon-integrations.png">
                                </div>
                                INTEGRATIONS
                            </div>
                        </div>
                    </div>

                    <div class="igm_middle_right">
                        <levels ng-show="current_sub == 'levels'"></levels>
                        <pages ng-show="current_sub == 'pages'"></pages>
                        <users ng-show="current_sub == 'users'"></users>
                        <layout ng-show="current_sub == 'layout'"></layout>
                        <settings ng-show="current_sub == 'settings'"></settings>
                        <integrations ng-show="current_sub == 'integrations'"></integrations>
                    </div>

                </div>
            </div>

        </div>



        <div class="igloo_modal_overlay" ng-click="closeAllModals()"></div>

        <div id="igm_confirm" class="igloo_modal" ng-style="getModalStyle('confirm')">
            <div class="p40">
                <div class="igloo_modal_title">{{modal_data.modal_confirm_text}}</div>
                <div style="position:absolute; bottom:50px; left:0; right:0">
                    <div class="igm_button green igm_brightup" ladda="modal_data.modal_proceed_processing" ng-click="modal_data.modal_confirm_action()">
                        PROCEED
                    </div>
                    <div class="igm_button gray igm_brightup ml10" ng-click="closeModal('confirm')">
                        CLOSE
                    </div>
                </div>
            </div>
        </div>

        <div id="igm_message" class="igloo_modal" ng-style="getModalStyle('message')">
            <div class="p40">
                <div class="igloo_modal_title">{{modal_data.modal_title}}</div>
                <div style="position:absolute; bottom:50px; left:0; right:0">
                    <div class="igm_button gray igm_brightup" ng-click="closeModal('message')">
                        CLOSE
                    </div>
                </div>
            </div>
        </div>

        <div id="igm_youtube" class="igloo_modal" ng-style="getModalStyle('youtube')">
            <div style="padding:20px 0px">
                <iframe width="760" height="428" ng-src="{{modal_data.youtube_url | trustAsResourceUrl}}" frameborder="0" allowfullscreen></iframe>
            </div>
        </div>

    </div>

</div>
</div>
